/***********************************************************************
**                                                                    **
**  listing_6_16.c                                                    **
**                                                                    **
**  Three labels and a Form. This program demonstrates the use of     **
**  XmForm's "Widget Attachment" constraint.                          **
**                                                                    **
***********************************************************************/


#include <Xm/Form.h>
#include <Xm/Label.h>


Widget	appshell,			/* Application Shell	      */
	theform,			/* The Paned Window           */
	labels[3];			/* The children		      */
Arg	arglist[2];			/* Used to set attachment     */


void main( argc, argv )
    int     argc;
    char    *argv[];
{
    appshell = XtInitialize( argv[0], "Listing_6_16", NULL, 0, &argc, argv );

    theform = XmCreateForm( appshell, "TheForm", NULL, 0 );
    XtManageChild( theform );

    labels[0] = XmCreateLabel( theform, "Label_0", NULL, 0 );
    labels[1] = XmCreateLabel( theform, "Label_1", NULL, 0 );
    labels[2] = XmCreateLabel( theform, "Label_2", NULL, 0 );
    XtManageChildren( labels, 3 );

    XtSetArg( arglist[0], XmNtopWidget,        labels[0] );
    XtSetArg( arglist[1], XmNbottomWidget,     labels[2] );
    XtSetValues( labels[1], arglist, 2 );

    XtRealizeWidget( appshell );
    XtMainLoop();
}
